OpenVDB: CoordBBox::Iterator< ZYXOrder > Class Template Reference

OpenVDB 6.0.0

Public Member Functions | Friends | List of all members
CoordBBox::Iterator< ZYXOrder > Class Template Reference

Iterator over the Coord domain covered by a CoordBBox. More...

`#include <Coord.h>`

## Public Member Functions
| Iterator (const CoordBBox &b)
| C-tor from a bounding box. More...
Iterator & | operator++ ()
| Increment the iterator to point to the next coordinate. More...
| operator bool () const
| Return `true` if the iterator still points to a valid coordinate. More...
const Coord & | operator * () const
| Return a const reference to the coordinate currently pointed to. More...
bool | operator== (const Iterator &other) const
| Return `true` if this iterator and the given iterator point to the same coordinate. More...
bool | operator!= (const Iterator &other) const
| Return `true` if this iterator and the given iterator point to different coordinates. More...

## Friends
class | CoordBBox

## Detailed Description

### template<bool ZYXOrder>
class openvdb::v6_0::math::CoordBBox::Iterator< ZYXOrder >

Iterator over the Coord domain covered by a CoordBBox.

Note
  If ZYXOrder is `true`, z is the fastest-moving coordinate, otherwise the traversal is in XYZ order (i.e., x is fastest-moving).

## Constructor & Destructor Documentation

## ◆ Iterator()

Iterator | ( | const CoordBBox & | b | ) |
| inline

C-tor from a bounding box.

## Member Function Documentation

## ◆ operator *()

const Coord& operator * | ( |  | ) | const
| inline

Return a const reference to the coordinate currently pointed to.

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return `true` if the iterator still points to a valid coordinate.

## ◆ operator!=()

bool operator!= | ( | const Iterator< ZYXOrder > & | other | ) | const
| inline

Return `true` if this iterator and the given iterator point to different coordinates.

## ◆ operator++()

Iterator& operator++ | ( |  | ) |
| inline

Increment the iterator to point to the next coordinate.

Iteration stops one past the maximum coordinate along the axis determined by the template parameter.

## ◆ operator==()

bool operator== | ( | const Iterator< ZYXOrder > & | other | ) | const
| inline

Return `true` if this iterator and the given iterator point to the same coordinate.

## Friends And Related Function Documentation

## ◆ CoordBBox

friend class CoordBBox
| friend

The documentation for this class was generated from the following file:

- Coord.h